Overview
GET
/chat/chat-messages/{id}chatGet chat_messages by id
Fetch a record from chat-messages by id.
Auth: bearerAuth — calls run as the authenticated user.
Parameters
- idpathstring
Responses
200
chat_messages
- idstring
- ecosystemIdstring
- chatIdstring
- senderParticipantIdstring?
- clientMessageIdstring?
- seqinteger
- rolestring
- bodystring?
- toolCallsstring?
- toolCallIdstring?
- toolNamestring?
- replyToMessageIdstring?
- statestring
- dateSentstring
- dateDeliveredstring?
- deletedAtstring?
- editedAtstring?
Example
{
"id": "string",
"ecosystemId": "string",
"chatId": "string",
"senderParticipantId": "string",
"clientMessageId": "string",
"seq": 0,
"role": "string",
"body": "string",
"toolCalls": "string",
"toolCallId": "string",
"toolName": "string",
"replyToMessageId": "string",
"state": "string",
"dateSent": "string",
"dateDelivered": "string",
"deletedAt": "string",
"editedAt": "string"
}401
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}404
Error
- erroroptionalobject
Example
{
"error": {
"message": "string",
"code": "string"
}
}Code examples
cURL
curl -X GET "https://api.agenticdeveloperhub.com/chat/chat-messages/{id}" \
-H "Authorization: Bearer YOUR_TOKEN"JavaScript
const res = await fetch("https://api.agenticdeveloperhub.com/chat/chat-messages/{id}", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
},
});
const data = await res.json();